Subject: Re: RFC2445 Property Change Control Request: Disallow Allow Multiple ATTENDEE Properties With The Same Value

From: Doug Royer <[email-masked]>
Date: Mon, 26 Jul 1999 09:10:55 -0700 (PDT)

> From: [email-masked]
> Date: Fri, 23 Jul 1999 18:28:18 GMT
> 
> Alex Taler wrote, in part:
> >Still, since it is not possible to have multiple "DELEGATED-FROM"
> >parameters, two Attendees could not both delegate to the same
> >Attendee.  Is this a resonable restriction  or should the "ATTENDEE"
> >property be allowed to contain multiple "DELEGATED-FROM" parameters?
> 
> Not true. You can have multiple people delegate the same person. The
> process for each, is as indicated in my previous note. The ORGANIZER would
> send out an updated "REQUEST" method with the "DELEGATED-FROM" with a list
> of values, per RFC 2445, section "4.2.4 Delegators". The "ATTENDEE"
> property can only have one "DELEGATED-FROM" parameter. However, it can have
> a list of values. This should address your concern.

I don't remember and can't find any restriction that limits the number
of parameters for DELEGATED-FROM or DELEGATED-TO.

There are more parameters that are allowed multiple times because the
draft does not say they can not be listed multiple times.  Perhaps
another ABNF bug?

I simply thought this was a way of listing multiple instances.

-Doug
-------------------------------------------------------------------
[email-masked]		http://playground.sun.com/~dougr
Pager:				[email-masked]
801 W. El Camino #131		Work:   (650)786-7599
Mountain View, CA 94040		Ham Radio: N6AAW, Aviation: PP-ASEL

---

From: Alexander Taler <[email-masked]>
Date: Mon, 26 Jul 1999 12:25:41 -0400

> I simply thought this was a way of listing multiple instances.

In iCalendar p. 103 it states that these parameters must not appear 
more than once on an "ATTENDEE" property.  However, it does allow 
multiple values for the parameter, so there's no problem.  For 
the record, multiple delegations would look like this:

    ATTENDEE;...;delegated-to="mailto:User2@somehost":User1@somehost
    ATTENDEE;...;delegated-to="mailto:User2@somehost":User3@somehost
    ATTENDEE;...;delegated-from:"mailto:User1@somehost","mailto:User3@somehost"
     :User2@somehost

Alex